package com.moonapps.commandroid.graph;

import java.util.Comparator;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

public class TimeComparator<T> implements Comparator<T>{

			@Override
		    public int compare(Object o1, Object o2) {
		    	Long time1 = ((BasicData)o1).getTime();
		    	Long time2 = ((BasicData)o2).getTime();
		    
		    	return time1.compareTo(time2);
		    }
}

