package com.moonapps.commandroid.listeners;

/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.ArrayList;

import com.moonapps.commandroid.adapters.ActionAdapter;
import com.moonapps.commandroid.dialogs.ActValueDiscreteDialog;
import com.moonapps.commandroid.profiles.Action;

import android.content.Context;
import android.view.View;
import android.view.View.OnClickListener;


public class ActValueDiscreteListener implements OnClickListener{

	
	private ActionAdapter adapter;
	private Context context;
	private ArrayList<Action> actions;
	private int position;
	
	public ActValueDiscreteListener (Context context, int position, ActionAdapter adapter, ArrayList<Action> actions){
		this.adapter=adapter;
		this.context=context;
		this.actions = actions;
		this.position = position;
	}

	
	@Override
	public void onClick(View v) {
		
		
		ActValueDiscreteDialog dialog2 = new ActValueDiscreteDialog(this.context, this.position, this.adapter, this.actions);
		
		dialog2.show();			
	}
	

	
	

}
