package com.moonapps.commandroid.receivers;
/**
 * Copyright (C) 2012 Daniel Pavon Perez
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import com.moonapps.commandroid.DataService;
import com.moonapps.commandroid.LogManager;
import com.moonapps.commandroid.agents.Constants;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

public class BootReceiver extends BroadcastReceiver {

	
	@Override
	public void onReceive(Context context, Intent intent) {
		LogManager.print(Log.DEBUG, Constants.debugTag, "BootReceiver: Starting DataService with stdIntent:"+intent.getAction());
	  	
	  	
	  	//-----Sending standard Intent. No info on boot for now.
	  	
        Intent startServiceIntent = new Intent(context, DataService.class);
        //startServiceIntent.putExtra(Constants.EXTRAKEY_GET_ID, Constants.BOOTRECEIVER_INTENT);
        context.startService(startServiceIntent);
	}

}
